/2025-04/marketing-solutions/audiences
curl --request PATCH \
--url https://api.criteo.com/2025-04/marketing-solutions/audiences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {
"algebra": {
"and": "<array>",
"audienceSegmentId": "<string>",
"not": "<unknown>",
"or": "<array>"
},
"description": {
"value": "<string>"
},
"name": "<string>"
},
"id": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://api.criteo.com/2025-04/marketing-solutions/audiences"
payload = { "data": [
{
"attributes": {
"algebra": {
"and": "<array>",
"audienceSegmentId": "<string>",
"not": "<unknown>",
"or": "<array>"
},
"description": { "value": "<string>" },
"name": "<string>"
},
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {
algebra: {and: '<array>', audienceSegmentId: '<string>', not: '<unknown>', or: '<array>'},
description: {value: '<string>'},
name: '<string>'
},
id: '<string>',
type: '<string>'
}
]
})
};
fetch('https://api.criteo.com/2025-04/marketing-solutions/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"adSetIds": [
"<string>"
],
"advertiserId": "<string>",
"algebra": {
"and": "<array>",
"audienceSegmentId": "<string>",
"not": "<unknown>",
"or": "<array>"
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-04/marketing-solutions/audiences
Updates the properties of all audiences with a valid configuration, and returns their IDs. For those that cannot be updated, one or multiple errors are returned.
PATCH
/
2025-04
/
marketing-solutions
/
audiences
/2025-04/marketing-solutions/audiences
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Input to update one or more audiences.
Show child attributes
Show child attributes
Was this page helpful?
/2025-04/marketing-solutions/audience-segments/search
Previous
/2025-04/marketing-solutions/audiences/compute-sizes
Next
⌘I